<!-- *********************************************** -->
<!-- Miguel París Dehesa -->
<!-- TFG - Consulta web de las ediciones de LexDatum -->
<!-- *********************************************** -->

<?php
class Ponente
{
    
        //atributos
	public $nombre_apellido;
	public $descripcion_ponente;
	
        /**
         * 
         * Constructor
         * 
         * @param type $nombre_apellido
         * @param type $descripcion_ponente
         */
	function __construct($nombre_apellido, $descripcion_ponente)
	{
		$this->nombre_apellido=$nombre_apellido;
		$this->descripcion_ponente=$descripcion_ponente;

	}
	
        
        /**
         * 
         * Función para obtener todos los ponentes
         * 
         * @return \Ponente
         */
	public static function all(){
		$listaPonentes =[];
		$db=Db::getConnect();
		$sql=$db->query('SELECT * FROM ponente');

		// carga en la $listaPonentes cada registro desde la base de datos
		foreach ($sql->fetchAll() as $ponente) {
			$listaPonentes[]= new Ponente($ponente['nombre_apellido'],$ponente['descripcion_ponente']);
		}
		return $listaPonentes;
	}
	
        
        /**
         * 
         * Función para obtener todos los ponentes de un edición
         * 
         * @param type $id_edicion
         * @return \Ponente
         */
	public static function getByEdicion($id_edicion){
		
                $listaPonentes =[];
		$db=Db::getConnect();
		$select=$db->prepare('SELECT distinct I.nombre_apellido, descripcion_ponente 
                               FROM intervencion I, ponente P
                               WHERE (I.nombre_apellido=P.nombre_apellido) 
                               AND (I.id_edicion =:id_edicion)  
                               ORDER BY nombre_apellido');
		
                $select->bindValue('id_edicion',$id_edicion);
                $select->execute();
               
                // carga en la $listaPonentes cada registro desde la base de datos
		foreach ($select->fetchAll() as $ponente) {
			$listaPonentes[]= new Ponente($ponente['nombre_apellido'],$ponente['descripcion_ponente']);
		}
		return $listaPonentes;
		
	}
        
       
        /**
         * 
         * Función para obtener todos los ponentes de una sesión de una edición
         * 
         * @param type $id_edicion
         * @param type $id_sesion
         * @return \Ponente
         */
	public static function getByEdicionSesion($id_edicion, $id_sesion){
		
                $listaPonentes =[];
		$db=Db::getConnect();
		$select=$db->prepare('SELECT distinct I.nombre_apellido, descripcion_ponente 
                               FROM intervencion I, ponente P
                               WHERE (I.nombre_apellido=P.nombre_apellido) 
                               AND (I.id_edicion =:id_edicion) 
                               AND (I.id_sesion =:id_sesion)
                               ORDER BY nombre_apellido');
		
                $select->bindValue('id_edicion',$id_edicion);
                $select->bindValue('id_sesion',$id_sesion);		
                $select->execute();
                
                // carga en la $listaPonentes cada registro desde la base de datos
		foreach ($select->fetchAll() as $ponente) {
			$listaPonentes[]= new Ponente($ponente['nombre_apellido'],$ponente['descripcion_ponente']);
		}
		return $listaPonentes;
		
	}
        
        
}
?>