<!-- *********************************************** -->
<!-- Miguel París Dehesa -->
<!-- TFG - Consulta web de las ediciones de LexDatum -->
<!-- *********************************************** -->

<?php

class Sesion
{
	//atributos
	public $id_sesion;
        public $id_edicion;
        public $fecha;
	public $tema;
        public $tipo;
        public $horario;
	public $descripcion_sesion;


	/**
         * 
         * Constructor
         * 
         * @param type $id_sesion
         * @param type $id_edicion
         * @param type $fecha
         * @param type $tema
         * @param type $tipo
         * @param type $horario
         * @param type $descripcion_sesion
         */
	function __construct($id_sesion, $id_edicion, $fecha, $tema, $tipo, $horario, $descripcion_sesion )
	{
		$this->id_sesion=$id_sesion;
		$this->id_edicion=$id_edicion;
                $this->fecha=$fecha;
                $this->tema=$tema;
		$this->tipo=$tipo;
                $this->horario=$horario;
                $this->descripcion_sesion=$descripcion_sesion;

	}

	
        /**
         * 
         * Función para obtener todos los sesiones
         * 
         * @return \Sesion
         */
	public static function all(){
		$listaSesiones =[];
		$db=Db::getConnect();
		$sql=$db->query('SELECT * FROM sesion
                            ORDER BY id_edicion, id_sesion');

		// carga en la $listaSesiones cada registro desde la base de datos
		foreach ($sql->fetchAll() as $sesion) {
			$listaSesiones[]= new Sesion($sesion['id_sesion'], $sesion['id_edicion'], $sesion['fecha'],
                                $sesion['tema'], $sesion['tipo'], $sesion['horario'], $sesion['descripcion_sesion']);
		}
		return $listaSesiones;
	}

        
        /**
         * 
         * Función para obtener todos los sesiones de un ponente
         * 
         * @param type $nombre_apellido
         * @return \Sesion
         */
	public static function getByPonente($nombre_apellido){
		
                $listaSesiones =[];
		$db=Db::getConnect();
		$select=$db->prepare('SELECT S.id_edicion, S.id_sesion, fecha, tema, tipo, horario, descripcion_sesion, nombre_apellido   
                                FROM sesion S, intervencion I
                                where S.id_edicion=I.id_edicion 
                                AND S.id_sesion=I.id_sesion 
                                AND I.nombre_apellido =:nombre_apellido
                                ORDER BY id_edicion, id_sesion');
		
                $select->bindValue('nombre_apellido',$nombre_apellido);
		
                $select->execute();


                // carga en la $listaSesiones cada registro desde la base de datos
		foreach ($select->fetchAll() as $sesion) {
			$listaSesiones[]= new Sesion($sesion['id_sesion'],$sesion['id_edicion'], $sesion['fecha'],
                                $sesion['tema'],$sesion['tipo'],$sesion['horario'], $sesion['descripcion_sesion']);
		}
		return $listaSesiones;
		
	}
        
          
        /**
         * 
         * Función para obtener todos los sesiones de un ponente
         * 
         * @param type $id_edicion
         * @return \Sesion
         */
	public static function getByEdicion($id_edicion){
		
                $listaSesiones =[];
		$db=Db::getConnect();
		$select=$db->prepare('SELECT id_sesion, id_edicion, fecha, tema, tipo, horario, descripcion_sesion 
                                      FROM sesion 
                                      WHERE (id_edicion =:id_edicion)
                                      ORDER BY id_sesion');
		
                $select->bindValue('id_edicion',$id_edicion);
		
                $select->execute();


                // carga en la $listaSesiones cada registro desde la base de datos
		foreach ($select->fetchAll() as $sesion) {
			$listaSesiones[]= new Sesion($sesion['id_sesion'],$sesion['id_edicion'], $sesion['fecha'],
                                $sesion['tema'],$sesion['tipo'],$sesion['horario'], $sesion['descripcion_sesion']);
		}
		return $listaSesiones;
		
	}
	
        /**
         * 
         * Función para obtener todos los sesiones de un ponente en una edición
         * 
         * @param type $id_edicion
         * @param type $nombre_apellido
         * @return \Sesion
         */
        public static function getByEdicionPonente($id_edicion, $nombre_apellido){
		
                $listaSesiones =[];
		$db=Db::getConnect();
		$select=$db->prepare('SELECT  S.id_sesion, S.id_edicion, S.fecha, S.tema, S.tipo, S.horario, S.descripcion_sesion 
                                      FROM sesion S, intervencion I
                                      WHERE (I.id_edicion =:id_edicion)
                                      AND (I.nombre_apellido =:nombre_apellido)
                                      AND (I.id_edicion = S.id_edicion)
                                      AND (I.id_sesion = S.id_sesion)
                                      ORDER BY id_sesion');
		
                $select->bindValue('id_edicion',$id_edicion);
		$select->bindValue('nombre_apellido',$nombre_apellido);
                $select->execute();


                // carga en la $listaSesiones cada registro desde la base de datos
		foreach ($select->fetchAll() as $sesion) {
			$listaSesiones[]= new Sesion($sesion['id_sesion'],$sesion['id_edicion'], $sesion['fecha'],
                                $sesion['tema'],$sesion['tipo'],$sesion['horario'], $sesion['descripcion_sesion']);
		}
		return $listaSesiones;
		
	}
        
}
?>